#pragma once

#include "state/missile.hpp"
#include "state/state_update_event.hpp"

namespace game {
    class MissileEvent : public StateUpdateEvent {
    public:
        MissileEvent(LifeCycle lifeCycle, Missile *missile)
            : StateUpdateEvent(lifeCycle, EventType::Missile, missile)
        {
        }
    };
}
