#include "explosion.hpp"

namespace game {
    size_t s_id_counter = 0;

    Explosion::Explosion(size_t id, const glm::vec2 &pos, const glm::vec2 &missileVelocity, Hit hit, float maxAge)
        : Object(id, pos)
        , hit(hit)
        , missileVelocity(missileVelocity)
        , age(0.0)
        , maxAge(maxAge * (1.0 + 0.1*util::randf_0_1()))
        , maxRadius(0.05)
    {
    }
}

