$fn = 16;

translate([0, 0, -0.2]) {
    cylinder(r=0.05, h=0.4);
    translate([0, 0, 0.25]) cylinder(r=0.065, h=0.1);
    translate([0, 0, 0.35]) sphere(r=0.07);
    translate([0, 0, 0.35]) cylinder(r=0.01, h=0.2);

    for (h=[0.07, 0.2]) {
        translate([0, 0, h]) {
            for (i=[0,1,2,3]) {
                rotate([0, 0, 90*i]) {
                    cube([0.2, 0.01, 0.07], center=true);
                }
            }
        }
    }
}
