#pragma once

#include "state/ship.hpp"
#include "state/state_update_event.hpp"

namespace game {
    class ShipEvent : public StateUpdateEvent {
    public:
        ShipEvent(LifeCycle lifeCycle, Ship *ship)
            : StateUpdateEvent(lifeCycle, EventType::Ship, ship)
        {
        }
    };
}
